<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{userManager.displayUser()}
            <s:div id="globalDiv"><h1>#{messages['gazelle.hl7.validator.ManagerUserAccesses']}</h1>
                <rich:messages globalOnly="true" styleClass="message"/>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.UserDetails']}
                    </ui:define>
                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:param name="id" value="gazelleUserLogin"/>
                            <ui:define name="label">
                                <h:outputText value="#{messages['gazelle.hl7.validator.UsernameGazellesLogin']}"/>
                            </ui:define>
                            <h:inputText styleClass="form-control"
                                         id="gazelleUserLogin"
                                         value="#{userManager.selectedPreferences.username}"/>
                            <a4j:commandButton value="Create User"
                                               action="#{userManager.saveUser()}" styleClass="gzl-btn-blue"/>
                            <br/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:param name="id" value="gazelleIPAllowed"/>
                            <ui:define name="label">
                                <h:outputText value="#{messages['gazelle.hl7.validator.AllowedIPAddresses_2']}"/>
                            </ui:define>
                            <a4j:repeat id="gazelleIPAllowed" value="#{userManager.selectedPreferences.allowedIPAddresses}" var="ip">
                                <div class="gzl-never-wrap">
                                    <h:outputText value="#{ip.ipAddress}"/>
                                    <a4j:commandLink id="deleteIPButton"
                                                     render="globalDiv"
                                                     oncomplete="#{userManager.removeAddressFromUser(ip)};">
                                        <span class="gzl-icon-trash-o"></span>
                                    </a4j:commandLink>
                                </div>
                            </a4j:repeat>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="ipToAdd"/>
                        <ui:define name="label">
                            <h:outputText value="Add IPs"/>
                        </ui:define>
                                <rich:inplaceInput id="ipToAdd"
                                                   value="#{userManager.selectedIP.ipAddress}"
                                                   defaultLabel="#{messages['gazelle.hl7.validator.ClickToAddAnIP']}"
                                                   showControls="true" >
                                    <a4j:ajax event="change" render="globalDiv" listener="#{userManager.addIpAddressToUser()}"/>
                                </rich:inplaceInput>
                        </s:decorate>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton id="backButton" action="/admin/allUsers.seam"
                                           value="#{messages['gazelle.hl7.validator.DisplayAllUsers']}"
                                           styleClass="gzl-btn"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>